


import request from '@/utils/request'

/**
* 应用管理列表
* @param {*} data
* @returns
*/
export const getAppControllerList = (params) => request({
  url: '/admin/app', params

})


/**
* 保存应用管理
* @param {*} data
* @returns
*/
export const saveAppController = (data) => request({
  url: '/admin/app',
  method: 'post',
  data
})

/**
* 应用管理详情
* @param {*} 
* @returns
*/
export const detailsAppController = (id) => request({
  url: `admin/app/${id}`,

  method: 'get',
})

/**
* 修改应用管理
* @param {*} 
* @returns
*/
export const ChangeAppController = (data, id) => request({
  url: `admin/app/${id}`,

  method: 'put',
  data
})

/**
* 删除应用管理
* @param {*} 
* @returns
*/
export const DeleteAppController = (id) => request({
  url: `admin/app/${id}`,
  method: 'delete',
})


